import { GlassEffectType, iosGlassEffectProperty, View } from '../../core/view';
import { LiquidGlassContainerCommon } from './liquid-glass-container-common';
export declare class LiquidGlassContainer extends LiquidGlassContainerCommon {
    [iosGlassEffectProperty.setNative]: (value: GlassEffectType) => void;
    nativeViewProtected: UIVisualEffectView;
    private _contentHost;
    private _normalizing;
    createNativeView(): UIVisualEffectView;
    _addViewToNativeVisualTree(child: View, atIndex: number): boolean;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    stabilizeLayout(): void;
    private _scheduleNormalize;
    private _normalizeChildrenTransforms;
}
